# Implantação

## Configuração do ambiente

```bash
kubectl create ns mindforge
kubectl create secret generic mindforge-secrets -n mindforge \
    --from-literal=GIT_REPOSITORY="your_git_repository" \
    --from-literal=GEMINI_API_KEY="your_gemini_api_key" \
    --from-literal=OPENAI_API_KEY="your_openai_api_key" \
    --from-literal=DISCORD_WEBHOOK_URL="your_discord_webhook_url" \
    --from-literal=HAVEN_NOTIFY_URL="your_haven_notify_url" \
    --from-literal=SSH_PRIVATE_KEY="your_ssh_private_key"
```

## Implantação

```bash
kubectl apply -f mindforge-cronjob.yaml
```
